{pkgs, ...}: {
  stylix = {
    enable = true;
    overlays.enable = false;

    targets = {
      gtk.enable = true;
      qt.enable = true;
    };

    base16Scheme = "${pkgs.base16-schemes}/share/themes/gruvbox-material-dark-medium.yaml";
    opacity.terminal = 0.85;

    cursor = {
      package = pkgs.bibata-cursors;
      name = "Bibata-Modern-Ice";
      size = 14;
    };

    fonts = {
      sizes = {
        applications = 10;
        desktop = 10;
        terminal = 10;
        popups = 8;
      };

      monospace = {
        package = pkgs.nerd-fonts.jetbrains-mono;
        name = "JetBrainsMono Nerd Font";
      };

      sansSerif = {
        package = pkgs.dejavu_fonts;
        name = "DejaVu Sans";
      };

      serif = {
        package = pkgs.dejavu_fonts;
        name = "DejaVu Serif";
      };
    };

    polarity = "dark";
    image = ../../assets/gruvbox_wallpaper.png;
  };

  qt.enable = true;

  gtk = {
    enable = true;
    iconTheme = {
      name = "Papirus-Dark";
      package = pkgs.papirus-icon-theme;
    };

    gtk3.extraConfig = {
      gtk-recent-files-enabled = 0;
      gtk-recent-files-limit = 0;
      gtk-recent-files-max-age = 0;
    };
  };
}
